import argparse
import sys
from pathlib import Path

from pytemplate.template import Template


class Args(argparse.ArgumentParser):

    def __init__(self):
        super().__init__()
        self.add_argument("--create", "-c", help="Créer un nouveau template", action="store_true")
        self.add_argument("--name", "-n", help="Nom du projet")
        self.add_argument("--module", "-m", help = "Nom du module")
        self.add_argument("target", help="Nom du template (ou dossier du template à creer avec --create)")
        self.add_argument("output", help="Dossier de création (ou nom du nouveau template --create)")

    @classmethod
    def parse(cls, args = None):
        self = cls()
        if args is None: args = sys.argv[1:]

        ret = self.parse_args(args)
        data = {
            "name" : ret.name,
            "module" : ret.module
        }

        template = Template(ret.target)

        if ret.create:
            template.mk_template(ret.output, data)
        else:
            template.instanciate(ret.output, data)

