from setuptools import setup, find_packages
from pathlib import Path

install_requires = [
]

tests_require = [
    "mkfab",
    "pytest"
]

def get_files(path):
    root = Path(path)
    queue = [root]
    ret = []
    while queue:
        curr = queue.pop()
        for file in curr.iterdir():
            if file.is_file():
                ret.append(str(file))
            else:
                queue.append(file)
    return ret


setup(
    name="%(name)s",
    version="0.1.1",
    description="A short description of the project.",
    author="François GAUTRAIS",
    install_requires=install_requires,
    packages=find_packages("src"),
    include_package_data=True,
    zip_safe=False,
    data_files=[
        ("", ["README.md"]),
    ],

    test_suite="tests",
    tests_require=tests_require,
    extras_require={
        "test": tests_require,
        "pylint": ["pylint"],
    },
    scripts=[
    ],

    entry_points={
        "console_scripts": [
        ]
    },
    package_dir={"": "src"},
)

